Bug 76650 - devel/epm (which is openoffice dependancy) doesn't build
Summary: devel/epm (which is openoffice dependancy) doesn't build
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-openoffice (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-01-25 08:10 UTC by Sangwoo Shim
Modified: 2005-02-02 08:06 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sangwoo Shim 2005-01-25 08:10:11 UTC
      I've tried to build /usr/ports/devel/epm, which is needed
for openoffice build. But build fails with following message.

%%%
===>  Vulnerability check disabled, database not found
===>  Extracting for epm-3.7_1
=> Checksum OK for epm-3.7-source.tar.bz2.
=> Checksum OK for epm-3.7.patch.
===>  Patching for epm-3.7_1
===>  Applying distribution patches for epm-3.7_1
===>  Applying FreeBSD patches for epm-3.7_1
===>   epm-3.7_1 depends on file: /usr/local/bin/autoconf259 - found
===>  Configuring for epm-3.7_1
configure: WARNING: you should use --build, --host, --target
checking for i386-portbld-freebsd6.0-gcc... cc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether cc accepts -g... yes
checking for cc option to accept ANSI C... none needed
checking for i386-portbld-freebsd6.0-g++... c++
checking whether we are using the GNU C++ compiler... yes
checking whether c++ accepts -g... yes
checking for chmod... /bin/chmod
checking for cp... /bin/cp
checking for gzip... /usr/bin/gzip
checking for htmldoc... no
checking for mkdir... /bin/mkdir
checking for nroff... /usr/bin/nroff
checking for rm... /bin/rm
checking for rpm... /usr/local/bin/rpm
checking for rpmbuild... no
checking for strip... /usr/bin/strip
checking for an ANSI C-conforming const... yes
checking how to run the C preprocessor... cc -E
checking for egrep... grep -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking whether char is unsigned... no
checking for ANSI C header files... (cached) yes
checking for dirent.h that defines DIR... yes
checking for library containing opendir... none required
checking for strings.h... (cached) yes
checking sys/mount.h usability... no
checking sys/mount.h presence... yes
configure: WARNING: sys/mount.h: present but cannot be compiled
configure: WARNING: sys/mount.h:     check for missing prerequisite headers?
configure: WARNING: sys/mount.h: see the Autoconf documentation
configure: WARNING: sys/mount.h:     section "Present But Cannot Be Compiled"
configure: WARNING: sys/mount.h: proceeding with the preprocessor's result
configure: WARNING: sys/mount.h: in the future, the compiler will take precedence
configure: WARNING:     ## ------------------------------------------ ##
configure: WARNING:     ## Report this to the AC_PACKAGE_NAME lists.  ##
configure: WARNING:     ## ------------------------------------------ ##
checking for sys/mount.h... yes
checking sys/param.h usability... yes
checking sys/param.h presence... yes
checking for sys/param.h... yes
checking sys/statfs.h usability... no
checking sys/statfs.h presence... no
checking for sys/statfs.h... no 
checking sys/vfs.h usability... no
checking sys/vfs.h presence... no
checking for sys/vfs.h... no
checking for strdup... yes 
checking for strcasecmp... yes
checking for strncasecmp... yes
checking for snprintf... yes
checking for vsnprintf... yes
checking for library containing gethostname... none required
checking for fltk-config... /usr/X11R6/bin/fltk-config
checking if libsupc++ is required... yes
checking if GCC supports -fno-rtti... yes
checking if GCC supports -fno-exceptions... yes
configure: creating ./config.status
config.status: creating Makefile
config.status: creating epm.list
config.status: creating doc/Makefile
config.status: creating macosx/setup.plist
config.status: creating macosx/uninst.plist
config.status: creating config.h
===>  Building for epm-3.7_1
Compiling aix.c...
cc1: warning: command line option "-fno-rtti" is valid for C++/ObjC++ but not for C
Compiling bsd.c...
cc1: warning: command line option "-fno-rtti" is valid for C++/ObjC++ but not for C
Compiling deb.c...
cc1: warning: command line option "-fno-rtti" is valid for C++/ObjC++ but not for C
Compiling dist.c...
cc1: warning: command line option "-fno-rtti" is valid for C++/ObjC++ but not for C
Compiling epm.c...
cc1: warning: command line option "-fno-rtti" is valid for C++/ObjC++ but not for C
Compiling file.c...
cc1: warning: command line option "-fno-rtti" is valid for C++/ObjC++ but not for C
Compiling inst.c...
cc1: warning: command line option "-fno-rtti" is valid for C++/ObjC++ but not for C
Compiling osx.c...
cc1: warning: command line option "-fno-rtti" is valid for C++/ObjC++ but not for C
Compiling pkg.c...
cc1: warning: command line option "-fno-rtti" is valid for C++/ObjC++ but not for C
pkg.c: In function `make_pkg':
pkg.c:53: warning: unused variable `tarfile'
Compiling portable.c...
cc1: warning: command line option "-fno-rtti" is valid for C++/ObjC++ but not for C
Compiling qprintf.c...
cc1: warning: command line option "-fno-rtti" is valid for C++/ObjC++ but not for C
Compiling rpm.c... 
cc1: warning: command line option "-fno-rtti" is valid for C++/ObjC++ but not for C
Compiling run.c...
cc1: warning: command line option "-fno-rtti" is valid for C++/ObjC++ but not for C
Compiling setld.c...
cc1: warning: command line option "-fno-rtti" is valid for C++/ObjC++ but not for C
Compiling slackware.c... 
cc1: warning: command line option "-fno-rtti" is valid for C++/ObjC++ but not for C
Compiling snprintf.c...
cc1: warning: command line option "-fno-rtti" is valid for C++/ObjC++ but not for C
Compiling string.c...
cc1: warning: command line option "-fno-rtti" is valid for C++/ObjC++ but not for C
Compiling swinstall.c...
cc1: warning: command line option "-fno-rtti" is valid for C++/ObjC++ but not for C
Compiling tar.c...
cc1: warning: command line option "-fno-rtti" is valid for C++/ObjC++ but not for C
Linking epm...
Compiling epminstall.c...
cc1: warning: command line option "-fno-rtti" is valid for C++/ObjC++ but not for C
Linking epminstall...
Compiling mkepmlist.c...
cc1: warning: command line option "-fno-rtti" is valid for C++/ObjC++ but not for C
Linking mkepmlist...
Compiling setup.cxx...
Compiling setup2.cxx...
Compiling gui-common.cxx...
Linking setup...
/usr/X11R6/lib/libfltk.a(Fl_Valuator.o)(.text+0x116): In function `Fl_Valuator::step(double)':
: undefined reference to `rint'
/usr/X11R6/lib/libfltk.a(Fl_Valuator.o)(.text+0x15d): In function `Fl_Valuator::step(double)':
: undefined reference to `rint'
/usr/X11R6/lib/libfltk.a(Fl_Valuator.o)(.text+0x3d2): In function `Fl_Valuator::round(double)':
: undefined reference to `rint'
/usr/X11R6/lib/libfltk.a(Fl_Valuator.o)(.text+0x4af): In function `Fl_Valuator::increment(double, int)':
: undefined reference to `rint'
/usr/X11R6/lib/libfltk.a(Fl_get_system_colors.o)(.text+0x48): In function `Fl::background(unsigned char, unsigned char, unsigned char)':
: undefined reference to `log'
/usr/X11R6/lib/libfltk.a(Fl_get_system_colors.o)(.text+0x5c): In function `Fl::background(unsigned char, unsigned char, unsigned char)':
: undefined reference to `log'
/usr/X11R6/lib/libfltk.a(Fl_get_system_colors.o)(.text+0x91): In function `Fl::background(unsigned char, unsigned char, unsigned char)':
: undefined reference to `log'
/usr/X11R6/lib/libfltk.a(Fl_get_system_colors.o)(.text+0xa5): In function `Fl::background(unsigned char, unsigned char, unsigned char)':
: undefined reference to `log'
/usr/X11R6/lib/libfltk.a(Fl_get_system_colors.o)(.text+0xdc): In function `Fl::background(unsigned char, unsigned char, unsigned char)':
: undefined reference to `log'
/usr/X11R6/lib/libfltk.a(Fl_get_system_colors.o)(.text+0xf0): more undefined references to `log' follow
/usr/X11R6/lib/libfltk.a(Fl_get_system_colors.o)(.text+0x11d): In function `Fl::background(unsigned char, unsigned char, unsigned char)':
: undefined reference to `pow'
/usr/X11R6/lib/libfltk.a(Fl_get_system_colors.o)(.text+0x162): In function `Fl::background(unsigned char, unsigned char, unsigned char)':
: undefined reference to `pow'
/usr/X11R6/lib/libfltk.a(Fl_get_system_colors.o)(.text+0x1a7): In function `Fl::background(unsigned char, unsigned char, unsigned char)':
: undefined reference to `pow'
/usr/X11R6/lib/libfltk.a(fl_vertex.o)(.text+0x326): In function `fl_rotate(double)':
: undefined reference to `sin'
/usr/X11R6/lib/libfltk.a(fl_vertex.o)(.text+0x336): In function `fl_rotate(double)':
: undefined reference to `cos'
/usr/X11R6/lib/libfltk.a(fl_vertex.o)(.text+0x575): In function `fl_transformed_vertex(double, double)':
: undefined reference to `rint'
/usr/X11R6/lib/libfltk.a(fl_vertex.o)(.text+0x59f): In function `fl_transformed_vertex(double, double)':
: undefined reference to `rint'
/usr/X11R6/lib/libfltk.a(fl_vertex.o)(.text+0x98a): In function `fl_circle(double, double, double)':
: undefined reference to `rint'
/usr/X11R6/lib/libfltk.a(fl_vertex.o)(.text+0x9ae): In function `fl_circle(double, double, double)':
: undefined reference to `rint'
/usr/X11R6/lib/libfltk.a(fl_vertex.o)(.text+0x9d8): In function `fl_circle(double, double, double)':
: undefined reference to `rint'
/usr/X11R6/lib/libfltk.a(fl_vertex.o)(.text+0xa02): more undefined references to `rint' follow
/usr/X11R6/lib/libfltk.a(fl_vertex.o)(.text+0xa7b): In function `fl_circle(double, double, double)':
: undefined reference to `sqrt'
/usr/X11R6/lib/libfltk.a(fl_vertex.o)(.text+0xabe): In function `fl_circle(double, double, double)':
: undefined reference to `sqrt'
/usr/lib/libsupc++.a(eh_throw.o)(.text.__cxa_throw+0x18): In function `__cxa_throw':
: undefined reference to `__cxxabiv1::__unexpected_handler'
/usr/lib/libsupc++.a(eh_throw.o)(.text.__cxa_throw+0x20): In function `__cxa_throw':
: undefined reference to `__cxxabiv1::__terminate_handler'
/usr/lib/libsupc++.a(eh_terminate.o)(.text._ZSt9terminatev+0x8): In function `std::terminate()':
: undefined reference to `__cxxabiv1::__terminate_handler'
/usr/lib/libsupc++.a(eh_terminate.o)(.text._ZSt10unexpectedv+0x8): In function `std::unexpected()':
: undefined reference to `__cxxabiv1::__unexpected_handler'
/usr/lib/libsupc++.a(eh_terminate.o)(.text._ZSt13set_terminatePFvvE+0x7): In function `std::set_terminate(void (*)())':
: undefined reference to `__cxxabiv1::__terminate_handler'
/usr/lib/libsupc++.a(eh_terminate.o)(.text._ZSt13set_terminatePFvvE+0xd): In function `std::set_terminate(void (*)())':
: undefined reference to `__cxxabiv1::__terminate_handler'
/usr/lib/libsupc++.a(eh_terminate.o)(.text._ZSt14set_unexpectedPFvvE+0x7): In function `std::set_unexpected(void (*)())':
: undefined reference to `__cxxabiv1::__unexpected_handler'
/usr/lib/libsupc++.a(eh_terminate.o)(.text._ZSt14set_unexpectedPFvvE+0xd): In function `std::set_unexpected(void (*)())':
: undefined reference to `__cxxabiv1::__unexpected_handler'
*** Error code 1

Stop in /usr/ports/devel/epm/work/epm-3.7.
*** Error code 1

Stop in /usr/ports/devel/epm.

How-To-Repeat:       do 'make' in /usr/ports/devel/epm
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2005-01-25 18:07:48 UTC
Responsible Changed
From-To: freebsd-ports-bugs->openoffice

Over to maintainer(s).
Comment 2 Sang Woo Shim 2005-01-26 08:43:51 UTC
I think I've found the problem. Generated Makefile by configure script
thinks CXX=cc (which should be CXX=c++).
I've used following patch in /usr/ports/devel/epm/files, but I'm not sure
this is the correct one. (I'm ignorant about configure script and autotools.)

%%%
--- configure.in.orig   Wed Jan 26 17:33:40 2005
+++ configure.in        Wed Jan 26 17:33:52 2005
@@ -174,13 +174,13 @@
                AC_MSG_RESULT(no)
        fi

-       CXX="$CC"
+       #CXX="$CC"

        if test -z "$OPTIM"; then
                OPTIM="-O2 -fforce-mem -fforce-addr -fcaller-saves"
        fi

-       CXX="$CC"
+       #CXX="$CC"
        OPTIM="-Wall -Wno-return-type $OPTIM"

        # See if GCC supports -fno-rtti...
%%%
Comment 3 Sang Woo Shim 2005-01-26 08:44:01 UTC
I think I've found the problem. Generated Makefile by configure script
thinks CXX=cc (which should be CXX=c++).
I've used following patch in /usr/ports/devel/epm/files, but I'm not sure
this is the correct one. (I'm ignorant about configure script and autotools.)

%%%
--- configure.in.orig   Wed Jan 26 17:33:40 2005
+++ configure.in        Wed Jan 26 17:33:52 2005
@@ -174,13 +174,13 @@
                AC_MSG_RESULT(no)
        fi

-       CXX="$CC"
+       #CXX="$CC"

        if test -z "$OPTIM"; then
                OPTIM="-O2 -fforce-mem -fforce-addr -fcaller-saves"
        fi

-       CXX="$CC"
+       #CXX="$CC"
        OPTIM="-Wall -Wno-return-type $OPTIM"

        # See if GCC supports -fno-rtti...
%%%
Comment 4 Sang Woo Shim 2005-01-26 08:44:21 UTC
I think I've found the problem. Generated Makefile by configure script
thinks CXX=cc (which should be CXX=c++).
I've used following patch in /usr/ports/devel/epm/files, but I'm not sure
this is the correct one. (I'm ignorant about configure script and autotools.)

%%%
--- configure.in.orig   Wed Jan 26 17:33:40 2005
+++ configure.in        Wed Jan 26 17:33:52 2005
@@ -174,13 +174,13 @@
                AC_MSG_RESULT(no)
        fi

-       CXX="$CC"
+       #CXX="$CC"

        if test -z "$OPTIM"; then
                OPTIM="-O2 -fforce-mem -fforce-addr -fcaller-saves"
        fi

-       CXX="$CC"
+       #CXX="$CC"
        OPTIM="-Wall -Wno-return-type $OPTIM"

        # See if GCC supports -fno-rtti...
%%%
Comment 5 Sang Woo Shim 2005-01-26 08:44:22 UTC
I think I've found the problem. Generated Makefile by configure script
thinks CXX=cc (which should be CXX=c++).
I've used following patch in /usr/ports/devel/epm/files, but I'm not sure
this is the correct one. (I'm ignorant about configure script and autotools.)

%%%
--- configure.in.orig   Wed Jan 26 17:33:40 2005
+++ configure.in        Wed Jan 26 17:33:52 2005
@@ -174,13 +174,13 @@
                AC_MSG_RESULT(no)
        fi

-       CXX="$CC"
+       #CXX="$CC"

        if test -z "$OPTIM"; then
                OPTIM="-O2 -fforce-mem -fforce-addr -fcaller-saves"
        fi

-       CXX="$CC"
+       #CXX="$CC"
        OPTIM="-Wall -Wno-return-type $OPTIM"

        # See if GCC supports -fno-rtti...
%%%
Comment 6 Sang Woo Shim 2005-01-26 08:48:05 UTC
I think I've found the problem. Generated Makefile by configure script
thinks CXX=cc (which should be CXX=c++).
I've used following patch in /usr/ports/devel/epm/files, but I'm not sure
this is the correct one. (I'm ignorant about configure script and autotools.)

%%%
--- configure.in.orig   Wed Jan 26 17:33:40 2005
+++ configure.in        Wed Jan 26 17:33:52 2005
@@ -174,13 +174,13 @@
                AC_MSG_RESULT(no)
        fi

-       CXX="$CC"
+       #CXX="$CC"

        if test -z "$OPTIM"; then
                OPTIM="-O2 -fforce-mem -fforce-addr -fcaller-saves"
        fi

-       CXX="$CC"
+       #CXX="$CC"
        OPTIM="-Wall -Wno-return-type $OPTIM"

        # See if GCC supports -fno-rtti...
%%%

Ps. Actually I'm ssw at neo.redjade.org (not borishim at neo.redjade.org.) Oops.
Comment 7 Maho Nakata freebsd_committer 2005-02-02 08:06:39 UTC
State Changed
From-To: open->closed

Committed, thanks!